<app-navbar></app-navbar>
<div class="container">
    <div class="row pt-3 mob-p-0">
        <div class="col-lg-12 m-a">
            <ul class="page-url">
                <li><a>Votre compte</a></li>
                <li><a class="active">Vos commandes</a></li>
            </ul>
            <div class="row">
                <div class=" col-lg-12 col-sm-12 col-md-12 col-12">
                    <div class="">
                        <div class="row">
                            <div class="col-lg-5 col-md-5 col-sm-5 col-12">
                                <h2>Vos commandes</h2>
                            </div>
                            <div class="col-lg-7 col-md-7 col-sm-7 col-12">
                                <div class="input-group mb-3">
                                    <span class="si-l"><i class="fa-solid fa-magnifying-glass"></i></span>
                                    <input type="text" class="form-control pl-35" placeholder="Rechercher toutes les commandes" [(ngModel)]="searchText">

                                </div>
                            </div>
                        </div>
                        <!-- Nav pills -->
                        <ul id="nav-gwbar1" class="nav-gwbar-single-row nav-genz nav-gwbar-white nav-gwbar-scroll nav nav-pills nav-ul p-0" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active nav-a" data-bs-toggle="pill" href="#home">Commandes</a>
                            </li>
                             
                        </ul>
                        <!-- Tab panes -->

                        <div class="tab-content">
                            <div id="home" class="container tab-pane active  p-0" *ngIf="userOrders">
                                <h3 class="s-l mb-3">{{userOrders.length}} commande passée dans</h3>
                                <!-- <select class="form-select select-s">
            <option>Dans les 30 derniers jours</option>
            <option>Les 3 derniers mois</option>
            <option>en 2022</option>
            <option>en 2021</option>
        </select> -->
                                <!-- <mat-form-field>
            <input matInput [matDatepicker]="dp" placeholder="Date de début">
            <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
            <mat-datepicker #dp></mat-datepicker>
        </mat-form-field> -->
                                <div class="clearfix"></div>
                                <div>
                                    <form [formGroup]="filterform" (submit)="filter()">
                                        <div class="">
                                            <div class="clearfix"></div>
                                            <div class="row">
                                                <div class="col-lg-4 col-md-4 col-sm-4 col-6">
                                                    <div>
                                                        <label class="form-label w-100" for="">Date de début: &nbsp;</label>
                                                        <!-- <input type="date" formControlName="start_date" class="form-control"> -->
                                                        <mat-form-field>
                                                            <input matInput [matDatepicker]="dp" placeholder="mm/dd/aaaa" formControlName="start_date">
                                                            <mat-datepicker-toggle matSuffix [for]="dp"></mat-datepicker-toggle>
                                                            <mat-datepicker #dp></mat-datepicker>
                                                        </mat-form-field>
                                                    </div>
                                                </div>
                                                <div class="col-lg-4 col-md-4 col-sm-4 col-6">
                                                    <div>
                                                        <label for="" class="form-label w-100"> Date de fin : &nbsp;</label>
                                                        <!-- <input type="date" formControlName="end_date" class="form-control"> -->
                                                        <mat-form-field>
                                                            <input matInput [matDatepicker]="dp1" placeholder="mm/dd/aaaa" formControlName="end_date">
                                                            <mat-datepicker-toggle matSuffix [for]="dp1"></mat-datepicker-toggle>
                                                            <mat-datepicker #dp1></mat-datepicker>
                                                        </mat-form-field>
                                                    </div>
                                                </div>
                                                <div class="col-lg-4 col-md-4 col-sm-4 col-12 asc">
                                                    <button class="btn search-button mt-0"  type="submit">Recherche</button>
                                                </div>
                                            </div>
                                            <div class="clearfix"></div>

                                        </div>

                                    </form>
                                </div>
                                <div *ngIf="(userOrders| filter: searchText).length > 0; else noResults">
                                    <div class="mt-3" *ngFor="let order of userOrders| filter:searchText">
                                        <div class="panel">
                                            <div class="panel-header ph">
                                                <!-- <h1>{{order._id}}</h1>
                    <h2>{{order.products[0].part_id}}</h2> -->
                                                <div class="row">
                                                    <div class="col-lg-3 col-md-3 col-sm-3 col-12">
                                                        <p>COMMANDE EFFECTUEE LE {{order.date_of_transaction | date:'MMM d, y'}}</p>
                                                    </div>
                                                    <div class="col-lg-2 col-md-2 col-sm-2 col-12">
                                                        <p>TOTAL {{order.totalPrice}} CFA</p>
                                                    </div>
                                                    <div class="col-lg-3 col-md-3 col-sm-3 col-12">
                                                        <p>LIVRAISON A {{order.shippingaddress.address.address}}</p>

                                                    </div>
                                                    <div class="col-lg-4 col-md-4 col-sm-4 col-12 text-right mob-tal">
                                                        <p>Nº DE COMMANDE {{order.order_id}}</p>
                                                        <a routerLink="/view_order/{{order._id}}/{{order.products[0].part_id}}">Afficher des details de commande </a> |
                                                        <a href="javascript:void(0)" (click)="downloadOrderInvoice(order.order_id)">Facture</a>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="panel-body" *ngFor="let single of order.products">
                                                <div class="row pt-3" *ngIf="single">
                                                    <div class="col-lg-2 col-md-3 col-sm-3 col-3">
                                                        <!-- <img class="mw-100" src="{{baseurl}}static/public/{{order.products[0].product.images[0]}}"/> -->
                                                        <div *ngIf="single.product.images.length != 0;else other_content">
                                                            <img class="mw-100 prdct-img" src="{{baseurl}}static/public/{{single.product.images[0]}}">
                                                        </div>
                                                        <ng-template #other_content>
                                                            <img class="mw-100 prdct-img" src="https://upload.wikimedia.org/wikipedia/commons/thumb/d/d1/Image_not_available.png/640px-Image_not_available.png">
                                                        </ng-template>
                                                    </div>
                                                    <div class="col-lg-7 col-md-9 col-sm-9 col-9">

                                                        <h3>{{single.product.title}}</h3>
                                                        <!-- <p>Fenetre de retour fermee le 26 fevr. 2022</p> -->

                                                        <br>

                                                        <p>Fenetre de retour fermee le {{ getDateeee (order.date_of_transaction ) }}</p>


                                                        <a routerLink="/view-product/{{single.product._id}}" target="_blank"><button type="button" class="btn btn-fill size-650" ><i class="fa-solid fa-repeat"></i> Acheter à nouveau</button></a>

                                                    </div>
                                                    <div class="col-lg-3 col-md-12 col-sm-12 col-12 a-s-c">
                                                        <ul class="p-ordr">

                                                            <li *ngIf="single.delivery_status < 3 && single.status != 2"><a routerLink="/order_tracking/{{order.tracking_number}}/{{order.order_id}}">Suivez votre colis </a></li>

                                                            <li *ngIf="single.delivery_status == 3 && single.status != 2">

                                                                <a href="javascript:void(0)">Commande livrée</a>
                                                            </li>


                                                            <li *ngIf="single.delivery_status == 0 && single.status != 2">

                                                                <a routerLink="/cancel_order/{{order._id}}/{{single.part_id}}">Annuler la commande</a>
                                                            </li>
                                                            <li *ngIf="single.delivery_status == 3 "><a routerLink="/return_order/{{order._id}}/{{single.part_id}}">Retourner</a></li>
                                                            <li *ngIf="single.delivery_status == 3 "><a routerLink="/product_review/{{order._id}}/{{single.part_id}}">Écrire un commentaire sur le produit</a></li>


                                                            <li *ngIf="single.status == 2">

                                                                <a href="javascript:void(0)">Commande annulée</a>
                                                            </li>



                                                        </ul>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div>
                                        <ul class="pagination">
                                            <li *ngFor="let item of numbers; let i = index" [class.active]="selectedIndex === i" (click)="getAllOrders(item)">
                                                <a class="" href="javascript:void(0)">{{item+1}}</a>
                                            </li>
                                        </ul>
                                    </div>



                                </div>
                                <ng-template #noResults>
                                    <!-- <p>Aucune commande trouvée pour "{{searchText}}".</p> -->
                                </ng-template>


                                <div class="page-content screen-pt-50 screen-mb-50" *ngIf="userOrders.length == 0 ||  userOrders.length == null ||  userOrders.length == undefined ">
                                    <div class="container">
                                        <div class="screen-mtb-50">
                                            <div class="row">
                                                <div class="col-lg-8 col-md-8 col-sm-12 col-12 m-a mob-canter">
                                                    <div class="row">

                                                        <div class="col-lg-12 col-sm-12 col-md-12 col-12 a-s-c text-center">
                                                            <img class="mw-100" src="./assets/build/img/noorder1.jpg" width="180" />
                                                            <h2 class="f-w-600 mt-3">Pas de commande</h2>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                        </div>





                    </div>
                </div>
            </div>

        </div>
    </div>
</div>
<app-footer></app-footer>